Bug 603069 - reserved machine is returned into inventory when a panic occurs
reserved machine is returned into inventory when a panic occurs
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.5
All Linux
urgent Severity urgent (vote)
: 0.5.48
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 09:30 EDT by Jiri Pirko
Modified: 2015-09-18 01:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 14:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2010-06-11 09:30:06 EDT
Version-Release number of selected component (if applicable):
0.5.42 

How reproducible:
always

Steps to Reproduce:
1. reserve a machine (for example via WebUI Scheduler->Reserve)
2. do a panic on the machine (for example with "echo "c" > /proc/sysrq-trigger")
3. observe
  
Actual results:
Machine is returned into inventory

Expected results:
Machine is not returned into inventory
Comment 1 Bill Peck 2010-06-16 15:14:12 EDT
beaker supports active monitoring for panics.  If you want to disable this then please add the following to your recipe

<recipe .../>
  <watchdog panic="ignore"/>
</recipe>

Should this be the default for reserve workflow?
Comment 2 Jiri Pirko 2010-06-16 18:01:38 EDT
(In reply to comment #1)
> beaker supports active monitoring for panics.  If you want to disable this then
> please add the following to your recipe
> 
> <recipe .../>
>   <watchdog panic="ignore"/>
> </recipe>
> 
> Should this be the default for reserve workflow?    

Definitely. When I reserve a machine for some testing, panic is usually likely to appear. Therefore ignoring it should be the default behaviour.
Comment 3 Han Pingtian 2010-07-01 23:10:12 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > beaker supports active monitoring for panics.  If you want to disable this then
> > please add the following to your recipe
> > 
> > <recipe .../>
> >   <watchdog panic="ignore"/>
> > </recipe>
> > 
> > Should this be the default for reserve workflow?    
> 
> Definitely. When I reserve a machine for some testing, panic is usually likely
> to appear. Therefore ignoring it should be the default behaviour.    

Yep, I definitely agree that 'ignore' should be the default behaviour.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.